Bug 505 - CP850.so:smb_register_charset: referenced symbol not found
CP850.so:smb_register_charset: referenced symbol not found
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.0
All Solaris
: P3 normal
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-25 06:14 UTC by Aleksey Studnev
Modified: 2005-11-14 09:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksey Studnev 2003-09-25 06:14:07 UTC
I get error message when using smbclient. smb_register_charset is defined in 
libsmbclient.so and .a libraries.
This bug appears in 3.0.0 and was not in 3.0.rc3
Comment 1 Jelmer Vernooij 2003-09-27 09:49:10 UTC
libsmbclient needs to be compiled with DYNEXP, if available. I'll fix it.
Comment 2 Aleksey Studnev 2003-10-02 07:08:02 UTC
Really it depends on if i link with libiconv or not.
With libiconv it does not happen
Comment 3 Jelmer Vernooij 2003-10-02 14:53:01 UTC
Character conversion is done by first checking libiconv(if available), and if
iconv is not there, we try to load a backup plugin named CP850.so. The bug is
really in the DYNEXP.
Comment 4 Jelmer Vernooij 2003-10-19 15:44:01 UTC
Fixed in CVS. Thanks for reporting!
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:28:16 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2005-11-14 09:31:26 UTC
database cleanup